summaryrefslogtreecommitdiff
path: root/t/t5004-archive-corner-cases.sh
diff options
context:
space:
mode:
Diffstat (limited to 't/t5004-archive-corner-cases.sh')
-rwxr-xr-xt/t5004-archive-corner-cases.sh11
1 files changed, 4 insertions, 7 deletions
diff --git a/t/t5004-archive-corner-cases.sh b/t/t5004-archive-corner-cases.sh
index 83d20c4ba9..654addaae3 100755
--- a/t/t5004-archive-corner-cases.sh
+++ b/t/t5004-archive-corner-cases.sh
@@ -66,8 +66,10 @@ test_expect_success UNZIP 'zip archive of empty tree is empty' '
# handle the empty repo at all, making our later check of its exit code
# a no-op). But we cannot do anything reasonable except skip the test
# on such platforms anyway, and this is the moral equivalent.
- "$GIT_UNZIP" "$TEST_DIRECTORY"/t5004/empty.zip
- expect_code=$?
+ {
+ "$GIT_UNZIP" "$TEST_DIRECTORY"/t5004/empty.zip
+ expect_code=$?
+ } &&
git archive --format=zip HEAD >empty.zip &&
make_dir extract &&
@@ -113,9 +115,4 @@ test_expect_success 'archive empty subtree by direct pathspec' '
check_dir extract sub
'
-test_expect_success 'archive applies umask even for pax headers' '
- git archive --format=tar HEAD >archive.tar &&
- ! grep 0666 archive.tar
-'
-
test_done